Bug 142388 - GPDF does not save zoom level across invocations
GPDF does not save zoom level across invocations
Product: Fedora
Classification: Fedora
Component: gpdf (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Marco Pesenti Gritti
Depends On:
  Show dependency treegraph
Reported: 2004-12-09 09:42 EST by Jesse Glick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-10 07:11:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Glick 2004-12-09 09:42:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
GPDF does not seem to remember the zoom level you were last using - at
least not for the Best Fit button. I would expect it to stay in Best
Fit mode until I turn that off, even if I close and reopen the viewer,
i.e. to persist the current zoom level as an invisible preferences
setting for the app in GConf.

Note that GGV, which serves a very similar function to GPDF, has a
different UI. It has controls to change the current zoom level and fit
mode, but it also has a GGV Preferences dialog which has a Document
tab with settings like Default Zoom and Auto-fit mode, which you can
use to control the default state of these controls at startup. I
personally consider this is a bit more than is needed; would be enough
for most people (IMHO) to simply keep the last settings.

At any rate, GPDF and GGV should be made consistent in this respect.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open GGV on some random PDF document.

2. Maximize the window. (May be unnecessary.)

3. Click Best Fit. Document fills window.

4. Close the window.

5. Open GGV again.

6. Pick the same PDF file from the recent documents list in the File menu.

Actual Results:  PDF file is opened in a box in the center of the
window. Need to click Best Fit to make it fill the window again.

Expected Results:  Document should be reopened in Best Fit mode.
Comment 1 Marco Pesenti Gritti 2005-01-10 07:11:55 EST


Note You need to log in before you can comment on or make changes to this bug.